Java fungerte ikke i Navigator 4.02

Var du for kjapp med å laste ned ene-versjonen av Navigator 4.02 og NetCaster på mandag, kjørte ikke Navigator Java og NetCaster nektet å starte.

Dersom du var like kjapp som digi.nos redaksjonsmedarbeider på mandag og lastet ned ene-versjonen av Navigator 4.02 fra Netscapes ftp-side, fikk du antakelig problemer med å kjøre Java. Feilmeldingen lyder: " java.lang.SecureException: system classes were not signed". Ettersom all Java fungerer i andre nettlesere på maskinen, kunne dette ikke være bare min feil. Dette ble ytterligere bekreftet da Netscapes Netcaster nektet å starte i det hele tatt og anbefalte meg å gjøre Java og JavaScript tilgjengelige i advanced preferences, noe de allerede var.

At dette virkelig var en feil, bekrefter Dan Claussen, product manager i Netscape. Til PC World Online sier han at den første versjonen som ble postet på ftp-siden manglet sertifikater for å få Java-programmer til å kjøre skikkelig. - Etter to timer ble dette oppdaget og nettleseren erstattet med en versjon som inneholdt alle nødvendige filer, sier han.

Netscape forandret ingen versjonsnumre pga. denne feilen, og det eksisterer derfor et par ulike utgaver av filen n32e402.exe som har forskjellige datoer og filstørrelser.

Claussen forteller at de sjekket hvor mange personer som hadde lastet ned den første versjonen og så lenge det ikke var snakk om hundretusener lot de være å legge på nytt versjonsnummer. - Vi erstattet den første versjonen veldig kjapt, derfor var det ikke mange personer som ble rammet av denne feilen, sier han.

Netscapes speilsider andre steder på nettet oppdateres automatisk når Netscape forandrer filene på sin server, derfor kan alle nå laste ned en rettet versjon av Navigator 4.02, beroliger Claussen, og digi.no kan bekrefte dette: Etter en 40 minutters ny nedlastning fungerer nå både Navigator og Netcaster helt som de skal.

Til toppen